package br.ime.usp.mac0322;

import static org.mockito.Mockito.*;

import java.util.List;

import org.junit.Test;

public class ExemploMockito {

	@Test
	public void testaMockedList() {
		// mock creation
		List mockedList = mock(List.class);

		// using mock object
		mockedList.add("one");
		mockedList.clear();

		// verification
		verify(mockedList).add("two");
		verify(mockedList).clear();
	}
}
